Network Policy
Set Network Policy
Update the network policy configuration.
POST
/
v1
/
sprites
/
{name}
/
policy
/
network
Set Network Policy
curl --request POST \
--url https://api.sprites.dev/v1/sprites/{name}/policy/network \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": [
{
"action": "allow",
"domain": "github.com"
},
{
"action": "allow",
"domain": "*.npmjs.org"
}
]
}
'import requests
url = "https://api.sprites.dev/v1/sprites/{name}/policy/network"
payload = { "rules": [
{
"action": "allow",
"domain": "github.com"
},
{
"action": "allow",
"domain": "*.npmjs.org"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: [
{action: 'allow', domain: 'github.com'},
{action: 'allow', domain: '*.npmjs.org'}
]
})
};
fetch('https://api.sprites.dev/v1/sprites/{name}/policy/network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rules": [
{
"action": "allow",
"domain": "github.com"
}
]
}⌘I
Set Network Policy
